import { Team } from "./Team"

export interface Player {
    readonly id: string
    /**
     * the player's team
     * */
    readonly team: Team

    /**
     * player's role
     * */
    readonly role: string

    /**
     * Percentage of the player's position to the bottom (0 means top, 1 means bottom, 0.5 means middle)
     */
    readonly bottomRatio: number

    /**
     * Percentage of the player's position to the right (0 means left, 1 means right, 0.5 means middle)
     */
    readonly rightRatio: number

    readonly hasBall: boolean
}
