<?php

namespace IQBall\App\Session;

use IQBall\Core\Data\Account;

/**
 * The mutable side of a session handle
 */
interface MutableSessionHandle extends SessionHandle {
    /**
     * @param string|null $url the url to redirect the user to after authentication.
     */
    public function setInitialTarget(?string $url): void;

    /**
     * @param Account $account update the session's account
     */
    public function setAccount(Account $account): void;

    public function destroy(): void;
}
