<?php

namespace IQBall\App\Session;

use IQBall\Core\Data\Account;

/**
 * An immutable session handle
 */
interface SessionHandle {
    /**
     * The initial target url if the user wanted to perform an action that requires authentication
     * but has been required to login first in the application.
     * @return string|null Get the initial targeted URL
     */
    public function getInitialTarget(): ?string;

    /**
     * The session account if the user is logged in.
     * @return Account|null
     */
    public function getAccount(): ?Account;
}
