<?php

namespace IQBall\App\Validator;

use IQBall\Core\Data\TacticInfo;
use IQBall\Core\Validation\ValidationFail;

class TacticValidator {
    public static function validateAccess(int $tacticId, ?TacticInfo $tactic, int $ownerId): ?ValidationFail {
        if ($tactic == null) {
            return ValidationFail::notFound("La tactique $tacticId n'existe pas");
        }
        if ($tactic->getOwnerId() != $ownerId) {
            return ValidationFail::unauthorized("Vous ne pouvez pas accéder à cette tactique.");
        }
        return null;
    }

}
