<?php

namespace IQBall\Core\Data;

/**
 * information about a team member
 */
class Member {
    /**
     * @var int The member's user account
     */
    private int $userId;

    /**
     * @var int The member's team id
     */
    private int $teamId;

    /**
     * @var MemberRole the member's role
     */
    private MemberRole $role;

    /**
     * @param int $userId
     * @param MemberRole $role
     */
    public function __construct(int $userId, int $teamId, MemberRole $role) {
        $this->userId = $userId;
        $this->teamId = $teamId;
        $this->role = $role;
    }


    /**
     * @return int
     */
    public function getUserId(): int {
        return $this->userId;
    }

    /**
     * @return MemberRole
     */
    public function getRole(): MemberRole {
        return $this->role;
    }

    /**
     * @return int
     */
    public function getTeamId(): int {
        return $this->teamId;
    }
}
