<?php

namespace IQBall\Core\Data;

class Team {
    private TeamInfo $info;

    /**
     * @var Member[] maps users with their role
     */
    private array $members;

    /**
     * @param TeamInfo $info
     * @param Member[] $members
     */
    public function __construct(TeamInfo $info, array $members = []) {
        $this->info = $info;
        $this->members = $members;
    }

    public function getInfo(): TeamInfo {
        return $this->info;
    }

    /**
     * @return Member[]
     */
    public function listMembers(): array {
        return $this->members;
    }
}
