<?php

namespace IQBall\Core\Http;

class JsonHttpResponse extends HttpResponse {
    /**
     * @var mixed Any JSON serializable value
     */
    private $payload;

    /**
     * @param mixed $payload
     */
    public function __construct($payload, int $code = HttpCodes::OK) {
        parent::__construct($code, []);
        $this->payload = $payload;
    }

    public function getJson(): string {
        $result = json_encode($this->payload);
        if (!$result) {
            throw new \RuntimeException("Given payload is not json encodable");
        }

        return $result;
    }

}
