<?php

namespace IQBall\Core\Validation;

class FunctionValidator extends Validator {
    /**
     * @var callable(string, mixed): ValidationFail[]
     */
    private $validate_fn;

    /**
     * @param callable(string, mixed): ValidationFail[] $validate_fn the validate function. Must have the same signature as the {@link Validator::validate()} method.
     */
    public function __construct(callable $validate_fn) {
        $this->validate_fn = $validate_fn;
    }

    public function validate(string $name, $val): array {
        return call_user_func_array($this->validate_fn, [$name, $val]);
    }
}
