<?php

namespace IQBall\Core\Validation;

abstract class Validator {
    /**
     * validates a variable string
     * @param string $name the name of the tested value
     * @param mixed $val the value to validate
     * @return ValidationFail[] the errors the validator has reported
     */
    abstract public function validate(string $name, $val): array;

    /**
     * Creates a validator composed of this validator, and given validator
     * @param Validator $other the second validator to validate if this validator succeeded
     * @return Validator a composed validator
     */
    public function then(Validator $other): Validator {
        return new ComposedValidator($this, $other);
    }

}
